pymakr on Arch Linux, not working yet

Discussion about programs, libraries and tools that work with MicroPython. Mostly these are provided by a third party.
Target audience: All users and developers of MicroPython.
Post Reply
torwag
Posts: 220
Joined: Fri Dec 13, 2013 9:25 am

pymakr on Arch Linux, not working yet

Post by torwag » Thu Sep 22, 2016 1:10 pm

Hi,

I tried to install pymakr under Arch Linux. After converting the deb package into an Arch-package, I had some dependency problems. Some small version mismatch of bash-completion and another package. I removed those dependencies checks and continued to install pymakr.
It installed however, starting pymakr showed that I missed python-pyqt4. After installing this. pymakr starts however, no I receive a strange error message:
cannot import name QLabel.
Here is the entire message:

Code: Select all

An unhandled exception occurred. Please report the problem
using the error reporting dialog or via email to <support@pycom.io>.
A log has been written to "/home/torsten/.pymakr/pymakr_error.log".

Error information:
--------------------------------------------------------------------------------
2016-09-22, 15:06:49
--------------------------------------------------------------------------------
<type 'exceptions.ImportError'>: 
cannot import name QLabel
--------------------------------------------------------------------------------
  File "/usr/share/pymakr/modules/pymakr.py", line 368, in <module>
    main()
  File "/usr/share/pymakr/modules/pymakr.py", line 288, in main
    from UI.SplashScreen import SplashScreen, NoneSplashScreen
  File "/usr/share/pymakr/modules/UI/SplashScreen.py", line 16, in <module>
    from PyQt5.QtGui import QPixmap, QColor, QLabel

--------------------------------------------------------------------------------
Version Numbers:
  Python 2.7.12
  Qt 5.7.0
  PyQt 5.7
  sip 4.18.1
  QScintilla 2.9.3
  WebKit 538.1
  Pymakr 1.0.0.b3

Platform: linux2
2.7.12 (default, Jun 28 2016, 08:31:05) 
[GCC 6.1.1 20160602]
--------------------------------------------------------------------------------
Distribution Info:
  /etc/arch-release

  /etc/os-release
  NAME="Arch Linux"
  ID=arch
  PRETTY_NAME="Arch Linux"
  ANSI_COLOR="0;36"
  HOME_URL="https://www.archlinux.org/"
  SUPPORT_URL="https://bbs.archlinux.org/"
  BUG_REPORT_URL="https://bugs.archlinux.org/"
I believe I installed all necessary libs. Maybe it is a mismatch in versions not sure.

Did someone install pymakr already under Arch Linux?

Thanks

mfgeorge
Posts: 1
Joined: Fri Oct 21, 2016 4:16 pm

Re: pymakr on Arch Linux, not working yet

Post by mfgeorge » Sat Nov 05, 2016 4:47 pm

Hello torwag,

I am having the same trouble here as well. I have tried numerous approaches.

I have installed by converting the .deb package
also by git cloning the source and compiling the ui files and running from the folder.
I then went in to the UI/SpashScreen.py file and changed the QLabel import from the QtGui to QtWidgets, as I read that it was available there.

However, after attempting to run the program again I receive a different type of error:

BackgroundService listening on: 36121
[1] 25202 segmentation fault (core dumped) python2 pymakr.py
Traceback (most recent call last):
File "Utilities/BackgroundClient.py", line 193, in <module>
backgroundClient.run()
File "Utilities/BackgroundClient.py", line 178, in run
'EXCEPTION', '?', [str(exctype), str(excval), tbinfo])
File "Utilities/BackgroundClient.py", line 81, in __send
self.connection.sendall(header)
File "/usr/lib/python2.7/socket.py", line 228, in meth
return getattr(self._sock,name)(*args)
socket.error: [Errno 32] Broken pipe

At this point I decided to uninstall all the qt5 bindings, and attempt to get up and running using qt4. This got me further, where a dialog error box from the GUI came up reporting that I did not have qt installed. I verified that I did have qt4 and all of the bindings installed. I then decided to do a fresh install of python into a python virtualenv and attempt running from there with qt4. But got the very same results, with the GUI window popping up saying that I didn't have qt installed.

For now, I feel I have exhausted enough options trying to use the IDE. I have read they don't have monospace fonts, so I am not sure how enjoyable it would be anyways. If something comes up and I figure out how to get it installed, I will let you know.

For now, you can load the pyCom boards with firmware using the FTP server that it comes with, if you haven't figured this out already.

Let me know if you figure anything else out regarding pymakr!

Lysenko
Posts: 62
Joined: Wed Aug 17, 2016 1:21 pm

Re: pymakr on Arch Linux, not working yet

Post by Lysenko » Sat Nov 05, 2016 6:52 pm

torwag wrote:

Code: Select all

    from PyQt5.QtGui import QPixmap, QColor, QLabel

--------------------------------------------------------------------------------
  Qt 5.7.0
  PyQt 5.7
[/quote]

In Qt5.x the QLabel class lives in QtWidgets. It was in QtGui in Qt4.x.

User avatar
Roberthh
Posts: 2277
Joined: Sat May 09, 2015 4:13 pm
Location: Rhineland, Europe

Re: pymakr on Arch Linux, not working yet

Post by Roberthh » Sat Nov 05, 2016 8:57 pm

I had also some trouble installing pymakr on my debian machine. I had both qt4 and qt5 installed, and that broke pymakr, which relies on Qt4. After removing Qt5 from my PC, pymakr worked. But pymakr is definitely not finished, not even close.

Post Reply